<?

/*
FlexCMS (http://www.flexcms.com)
Flexible, Powerful, Affordable.

Contents of this file are protected by the copyright
notice found at http://www.flexcms.com/flex/pages/copyright.html,
and its usage is subject to the terms of the licensing agreement 
available at http://www.flexcms.com/flex/pages/license.html
*/



	// ========================================================================================
	// edit guestbook entry
	// ========================================================================================
	

	$PageTitle = '<img src="'.$ImagesURL.'/admin/admincp_guestbook.gif" width="22" height="21"> '.$MsgText[6][15];
	$BrowserTitle = $MsgText[6][15];
	$LocationBar = '<a href="'.$IndexURL.'">'.$MsgText[0][1].'</a> > <a href="' . $MainURL . '/options.html">'.$MsgText[0][4].'</a> > <a href="'.$MainURL.'/admin/guestbook_manage.html">'.$MsgText[6][2].'</a> > '.$MsgText[6][15];
	
	if ($LoggedIn == 'y') {
		
		ReadPermissions();
		Global $Permissions;
		
		if ($Permissions[601] == 'y') {
							
		
			$query55 = "select * from `".$Settings['DBPrefix']."gb-Messages` where RecordNumber='".intval($Arguments3)."' limit 1";
			$result55 = mysql_query($query55) or die (mysql_error());
			
			if (mysql_num_rows($result55) > 0) {
				
    			$query5 = "update `".$Settings['DBPrefix']."gb-Messages` set Approved=1 where RecordNumber='".intval($Arguments3)."' limit 1";
				$result5 = mysql_query($query5) or die (mysql_error());
				
							
				header('Location: ' . $MainURL . '/admin/guestbook_manage.html');			
		
			}
			else {
				$PageContents .= '<br>['.$MsgText[6][14].']<br>';
			}
			
			
		}
		else {
		
			$PageContents = $MsgText[0][97];
		
		}

	}
	else {
	
		RedirectToLogin();
	
	}
		


?>
